> For the complete documentation index, see [llms.txt](https://docs.oscwii.org/repository-manager/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oscwii.org/repository-manager/manifests/example-manifest.md).

# Example manifest

To help you get a sense of how "application manifests" look like, here is one of them:

### Obtain application from URL:

{% code title="newozero.oscmeta" overflow="wrap" lineNumbers="true" %}

```json
{
    "information": {
        "name": "Newo Zero",
        "author": "Owen",
        "author_preferred_contacts": "",
        "category": "games",
        "peripherals": ["Wii Remote", "Nunchuk", "Classic Controller", "GameCube Controller", "SDHC"],
        "version": "auto"
    },
    "source": {
        "type": "url",
        "format": "zip",
        "location": "https://owensoft.net/project/newogame/dl/newozero.zip"
    },
    "treatments": [
        {
            "treatment": "contents.move",
            "arguments": ["newozero/", "apps/newozero/"]
        }
    ]
}
```

{% endcode %}

### Obtain application from GitHub releases:

{% code title="mgba.oscmeta" overflow="wrap" lineNumbers="true" %}

```json
{
    "information": {
        "name": "mGBA",
        "author": "Vicki Pfau (endrift)",
        "author_preferred_contacts": "",
        "category": "emulators",
        "peripherals": ["Wii Remote"],
        "version": "auto"
    },
    "source": {
        "type": "github_release",
        "format": "7z",
        "repository": "mgba-emu/mgba",
        "file": "mGBA-*-wii.7z"
    },
    "treatments": [
        {
            "treatment": "contents.move",
            "arguments": ["mGBA-*-wii/", "apps/mgba/"]
        }
    ]
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oscwii.org/repository-manager/manifests/example-manifest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
